CURSES_CHGAT(3)

NAME
chgat, wchgat, mvchgat, mvwchgat - curses on-screen attribute manipulation routines

LIBRARY
libcurses

SYNOPSIS
#include <curses.h>
int
chgat(int n, attr_t attr, short color, const void *opts);
int
wchgat(WINDOW *win, int n, attr_t attr, short color, const void *opts);
int
mvchgat(int y, int x, int n, attr_t attr, short color, const void *opts);
int
mvwchgat(WINDOW *win, int y, int x, int n, attr_t attr, short color, const void *opts);

DESCRIPTION
These functions modify the attributes of the drawn content on stdscr or on the specified window.

The chgat() function sets the attributes of the next n characters to attr and the color pair to color. If n is negative or larger than the remainder of the line, it gets truncated.

The wchgat() is the same as the chgat() function, excepting that the attributes are changed in the window specified by win.

The mvchgat() and mvwchgat() functions are the same as the chgat() and wchgat() functions, respectively, excepting that they operate from the position specified by y, x.

These functions do not perform wrapping. They do not update the cursor position.

RETURN VALUES
The functions that return an int will return one of the following values:

OK  The function completed successfully.
ERR An error occurred in the function.

SEE ALSO
curses_attributes(3)

STANDARDS
The chgat(), wchgat(), mvchgat(), and mvwchgat() functions conform to xcurses4.2.

HISTORY
The Curses package appeared in 4.0BSD. Support for the chgat() family was added in NetBSD 6.0.